var maps= L.map("map").setView([38.891, 139.824], 16);
L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
 attribution:
   '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(maps);

maps.on("click", function(e){ //map click Event
    var popup = L.popup()
    .setLatLng(e.latlng) //
    .setContent('<h1>ここの位置情報だよ</h1><p>'+e.latlng+'</p>')
    .openOn(maps);

});

var piyo=L.icon({
    iconUrl:'piyopiyo.gif',
    iconSize:[50, 80],
    iconAnchor:[19, 79],
    popupAnchor:[9,-80]
});

var egao=L.marker([38.8916436801475,139.81986558030144]).bindPopup("そのひよこ消えるよ");

egao.setIcon(piyo).addTo(maps);

var line=[
    [38.89443, 139.813107],
    [38.892893, 139.813665],
    [38.890688, 139.814609]
];


var polyline=L.polyline(line,{opacity:1,weight:10}).bindPopup("<h1>あああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああ</h1>").addTo(maps);

maps.fitBounds(polyline.getBounds());

